Contest Apple Place Card Override
API Description
Contest an Apple Maps override appearing on a place card. The following properties may be contested only when you are provided with an Apple-generated contest URL in MAPS_DISPLAY feedback:
- Display Names
- Location Status
- Opening Hours
- Service Hours
- Special Hours
To contest an Apple override, the API user must pass the property's description in full, not just individually contested fields.
Request
URI Parameters
| Name | Input |
|---|---|
orgId | |
resourceTypes | |
resourceId | |
overrideId |
Path Template
POST {url}/api/{version}/orgs/{orgId}/{resourceTypes}/{resourceId}/apple-overrides/{overrideId}/contests
Path Example
POST {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides/9467895078742654533/contests
Request Headers
| Name | Input |
|---|---|
Authorization | |
Content-Type |
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
Request Body
| Name | Input |
|---|---|
$.contestDetails |
Contest Display Names Example One
Example Request Body (raw JSON)
{
"contestDetails": {
"value": {
"displayNames": [
{
"name": "Florida Field",
"locale": "en",
"primary": true
},
{
"name": "The Swamp",
"locale": "en",
"primary": false
}
]
},
"reason": "'Florida Field' is our preferred name for the venue. This is what should be shown on Apple Maps"
}
}
Contest Service Hours Example Two
API user asserts that the location has no service hours.
Example Request Body (raw JSON)
{
"contestDetails": {
"value": {
"serviceHours": null
}
}
}
Contest Service Hours Example Three
API user asserts different service hours on one particular day. To contest the Apple override, the user must provide the property's complete set of service hours.
Example Request Body (raw JSON)
{
"contestDetails": {
"value": {
"serviceHours": [
{
"category": "servicehours.across_concepts.curbside_pickup_hours",
"hoursByDay": [
{
"day": "FRIDAY",
"times": [
{
"startTime": "09:00",
"endTime": "12:00"
}
]
},
{
"day": "SATURDAY",
"times": [
{
"startTime": "09:00",
"endTime": "12:00"
}
]
}
]
}
]
},
"reason": "'Florida Field' is our preferred name for the venue. This is what should be shown on Apple Maps"
}
}
Response
201 Created or Error
Response Headers
| Name |
|---|
apple-request-id |
content-type |
location |
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides/9467895078742654533
Response Body
| Name | Output |
|---|---|
$.orgId | |
${resourceId} | |
$.overrideId | |
$.createdDate | |
$.overrideDetails | |
$.contestDetails | |
overrideStatus | |
$.validationReports[] |
Contest Display Names Example
Example Request Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654921",
"overrideId": "9467895078742654533",
"createdDate": "2026-10-22T17:22:19.00Z",
"overrideDetails": {
"code": "APPLE_OVERRIDE__LOCATION_NAME",
"message": "Place card will display different name for your location",
"fields": [
{
"field": "$.locationDetails.displayNames",
"value": {
"displayNames": [
{
"name": "Ben Hill Griffin Stadium",
"locale": "en",
"primary": true
}
]
}
}
]
},
"contestDetails": {
"value": {
"displayNames": [
{
"name": "Florida Field",
"locale": "en",
"primary": true
},
{
"name": "The Swamp",
"locale": "en",
"primary": false
}
]
},
"reason": "'Florida Field' is our preferred name for the venue. This is what should be shown on Apple Maps"
},
"overrideStatus": "SUBMITTED",
"validationReports": []
}